# lsp-plug-in-plugins-lv2-impulse-responses-stereo

LSP Impulse Responses Stereo

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstAudioFilter
                            ╰──lsp-plug-in-plugins-lv2-impulse-responses-stereo

## Implemented interfaces

    GstPreset

## Factory details

Authors: – LSP LV2

Classification: – `Filter/Effect/Audio/LV2/Reverb`

Rank – none

Plugin – lv2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: F32LE
           channels: 2
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: F32LE
           channels: 2
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – src

Object type – GstPad

## Properties

### bypass

    “bypass” gboolean

Bypass

Flags : Read / Write / Construct

Default value : false

### ca-l

    “ca-l” gboolean

Channel activity Left

Flags : Read

Default value : false

### ca-r

    “ca-r” gboolean

Channel activity Right

Flags : Read

Default value : false

### cs-l

    “cs-l” Lsp-plug-in-plugins-lv2-impulse-responses-stereocs-l *

Channel source Left

Flags : Read / Write / Construct

Default value : None (0)

### cs-r

    “cs-r” Lsp-plug-in-plugins-lv2-impulse-responses-stereocs-r *

Channel source Right

Flags : Read / Write / Construct

Default value : None (0)

### dry

    “dry” gfloat

Dry amount

Flags : Read / Write / Construct

Default value : 1

### eq-0

    “eq-0” gfloat

Band 50Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-1

    “eq-1” gfloat

Band 107Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-2

    “eq-2” gfloat

Band 227Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-3

    “eq-3” gfloat

Band 484Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-4

    “eq-4” gfloat

Band 1 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-5

    “eq-5” gfloat

Band 2.2 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-6

    “eq-6” gfloat

Band 4.7 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-7

    “eq-7” gfloat

Band 10 kHz gain

Flags : Read / Write / Construct

Default value : 1

### fft

    “fft” Lsp-plug-in-plugins-lv2-impulse-responses-stereofft *

FFT size

Flags : Read / Write / Construct

Default value : 32767 (6)

### fsel

    “fsel” Lsp-plug-in-plugins-lv2-impulse-responses-stereofsel *

File selector

Flags : Read / Write / Construct

Default value : File 1 (0)

### g-out

    “g-out” gfloat

Output gain

Flags : Read / Write / Construct

Default value : 1

### hcf

    “hcf” gfloat

High-cut frequency

Flags : Read / Write / Construct

Default value : 10000

### hcm

    “hcm” Lsp-plug-in-plugins-lv2-impulse-responses-stereohcm *

High-cut mode

Flags : Read / Write / Construct

Default value : off (0)

### ifi0

    “ifi0” gfloat

Fade in 1

Flags : Read / Write / Construct

Default value : 0

### ifi1

    “ifi1” gfloat

Fade in 2

Flags : Read / Write / Construct

Default value : 0

### ifl0

    “ifl0” gfloat

Impulse length 1

Flags : Read

Default value : 0

### ifl1

    “ifl1” gfloat

Impulse length 2

Flags : Read

Default value : 0

### ifo0

    “ifo0” gfloat

Fade out 1

Flags : Read / Write / Construct

Default value : 0

### ifo1

    “ifo1” gfloat

Fade out 2

Flags : Read / Write / Construct

Default value : 0

### ifs0

    “ifs0” gint

Load status 1

Flags : Read

Default value : 0

### ifs1

    “ifs1” gint

Load status 2

Flags : Read

Default value : 0

### ihc0

    “ihc0” gfloat

Head cut 1

Flags : Read / Write / Construct

Default value : 0

### ihc1

    “ihc1” gfloat

Head cut 2

Flags : Read / Write / Construct

Default value : 0

### ils0

    “ils0” gboolean

Impulse listen 1

Flags : Read / Write / Construct

Default value : false

### ils1

    “ils1” gboolean

Impulse listen 2

Flags : Read / Write / Construct

Default value : false

### itc0

    “itc0” gfloat

Tail cut 1

Flags : Read / Write / Construct

Default value : 0

### itc1

    “itc1” gfloat

Tail cut 2

Flags : Read / Write / Construct

Default value : 0

### lcf

    “lcf” gfloat

Low-cut frequency

Flags : Read / Write / Construct

Default value : 50

### lcm

    “lcm” Lsp-plug-in-plugins-lv2-impulse-responses-stereolcm *

Low-cut mode

Flags : Read / Write / Construct

Default value : off (0)

### mk-l

    “mk-l” gfloat

Makeup gain Left

Flags : Read / Write / Construct

Default value : 1

### mk-r

    “mk-r” gfloat

Makeup gain Right

Flags : Read / Write / Construct

Default value : 1

### out-latency

    “out-latency” gint

Latency OUT

Flags : Read

Default value : 0

### pd-l

    “pd-l” gfloat

Pre-delay Left

Flags : Read / Write / Construct

Default value : 0

### pd-r

    “pd-r” gfloat

Pre-delay Right

Flags : Read / Write / Construct

Default value : 0

### wet

    “wet” gfloat

Wet amount

Flags : Read / Write / Construct

Default value : 1

### wpp

    “wpp” gboolean

Wet post-process

Flags : Read / Write / Construct

Default value : false

## Named constants

### Lsp-plug-in-plugins-lv2-impulse-responses-stereocs-l

#### Members

`None` (0) – None
`File 1 Left` (1) – File 1 Left
`File 1 Right` (2) – File 1 Right
`File 2 Left` (3) – File 2 Left
`File 2 Right` (4) – File 2 Right

### Lsp-plug-in-plugins-lv2-impulse-responses-stereocs-r

#### Members

`None` (0) – None
`File 1 Left` (1) – File 1 Left
`File 1 Right` (2) – File 1 Right
`File 2 Left` (3) – File 2 Left
`File 2 Right` (4) – File 2 Right

### Lsp-plug-in-plugins-lv2-impulse-responses-stereofft

#### Members

`512` (0) – 512
`1024` (1) – 1024
`2048` (2) – 2048
`4096` (3) – 4096
`8192` (4) – 8192
`16384` (5) – 16384
`32767` (6) – 32767
`65536` (7) – 65536

### Lsp-plug-in-plugins-lv2-impulse-responses-stereofsel

#### Members

`File 1` (0) – File 1
`File 2` (1) – File 2

### Lsp-plug-in-plugins-lv2-impulse-responses-stereohcm

#### Members

`off` (0) – off
`6 dB/oct` (1) – 6 dB/oct
`12 dB/oct` (2) – 12 dB/oct
`18 dB/oct` (3) – 18 dB/oct

### Lsp-plug-in-plugins-lv2-impulse-responses-stereolcm

#### Members

`off` (0) – off
`6 dB/oct` (1) – 6 dB/oct
`12 dB/oct` (2) – 12 dB/oct
`18 dB/oct` (3) – 18 dB/oct

The results of the search are